/* figtree.pl
 * 
 * pretty print a tree for treefig
 * 
 * E. Stabler, Aug 1999
 */

:- module(figtree,[fig_tree/1]).

fig_tree(Term) :- 
	tell('figtree.tree'),
	figtree(Term),
	told,
	( unix(system('treefig figtree')) ; true),
	unix(system('xfig figtree.fig')).

figtree(Term) :- numbervars(Term, 0, _), figtree(Term, 0), nl, fail ; true.

figtree(Cat/[], Column) :- !,
	tab(Column),
	write('['),
	print(Cat),
%	writeq(Cat),
	write(']').
figtree(Cat/Children, Column) :- !,
	tab(Column),
	write('['),
	print(Cat),
%	writeq(Cat),
	figtrees(Children, Column).
figtree(X, Column) :- 
	tab(Column), 
	print(X).
%	writeq(X).

figtrees([], _) :- write(']').
figtrees([Tree|Trees], Column) :-
	NextColumn is Column+4,
	nl, figtree(Tree, NextColumn),
	figrest_trees(Trees, NextColumn).

figrest_trees([], _) :- write(']').
figrest_trees([Tree|Trees], Column) :-
	nl, figtree(Tree, Column),
	figrest_trees(Trees, Column).

